import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CommonDialog extends Dialog{

  String title;
  String content;

  CommonDialog(this.title, this.content);

  @override
  Widget build(BuildContext context){
    return CupertinoAlertDialog(
      title: Text(title),
      content:Container(
        margin: EdgeInsets.only(top:10),
        child: Text(content),
      ),
      actions:<Widget>[
        CupertinoDialogAction(
          child: const Text('取消'),
          onPressed: (){
            Navigator.of(context).pop();
          },
        ),

        CupertinoDialogAction(
          child: const Text('确定', style: TextStyle(color: Color(0xffFF6985),),),
          onPressed: (){
            Navigator.of(context).pop();
          },
        ),
      ],
    );
  }
}

