package com.example.flutter_plugin_yin

import android.content.Context
import android.view.View
import android.widget.TextView
import io.flutter.plugin.platform.PlatformView

class NativeView(context: Context, args: Any?) : PlatformView {

    private val showTextView:TextView = TextView(context)

    init {
        val params:Map<String,Any?> = args as Map<String, Any?>
        showTextView.text = params["text"] as String
    }
    override fun getView(): View {
        return showTextView
    }

    override fun dispose() {

    }
}