#import "FlutterPluginYinPlugin.h"

@implementation FlutterPluginYinPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_plugin_yin"
            binaryMessenger:[registrar messenger]];
  FlutterPluginYinPlugin* instance = [[FlutterPluginYinPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if([@"getPlatformMemory" isEqualToString:call.method]){
    result([@"iOS " stringByAppendingString:[NSString stringWithFormat:@"%@", [NSProcessInfo processInfo].operatingSystemVersionString]]);
  }else {
  result(FlutterMethodNotImplemented);
  }
}
@end
